Send Email Notification
Notifications
Send Email Notification
POST
Send Email Notification
Send an email notification to an email address.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/alphagov/notifications-api/llms.txt
Use this file to discover all available pages before exploring further.
Request Body
The email address to send the notification to. Must be a valid email address.
The UUID of the email template to use.
Key-value pairs to fill in placeholders in the template. Values can be strings or dictionaries for file uploads.For file uploads, provide an object with:
file: Base64 encoded file content (required)is_csv: Boolean indicating if the file is a CSV (optional, mutually exclusive withfilename)filename: Custom filename to display (optional, mutually exclusive withis_csv)confirm_email_before_download: Boolean to require email confirmation before download (optional, default: true)retention_period: String specifying how long to retain the file, e.g., “26 weeks” (optional, default: “26 weeks”)
A unique identifier for this notification that you can use to identify it later. Maximum 1,000 characters.
The UUID of a specific email reply-to address to use. If not provided, the default reply-to address for the template will be used.
An HTTPS URL for one-click unsubscribe. Must be a valid HTTPS URL.
An ISO 8601 formatted datetime string to schedule the notification for sending. Must be within the next 24 hours. Set to null to send immediately.
Response
The unique identifier for this notification.
The reference you provided, or null if you did not provide one.
The content of the email notification.
The email address the notification will be sent from.
The email body with placeholders filled in.
The email subject with placeholders filled in.
The one-click unsubscribe URL if provided.
The URI to retrieve this notification.
The datetime the notification is scheduled for, or null if sending immediately.